GenericResourcePlugin.FieldType (Resource Management Library 2.8.1-SNAPSHOT API)
Date: 2018-11-05

org.gcube.resourcemanagement.support.shared.plugins

## Enum GenericResourcePlugin.FieldType

- java.lang.Object
- - java.lang.Enum<GenericResourcePlugin.FieldType>
  - - org.gcube.resourcemanagement.support.shared.plugins.GenericResourcePlugin.FieldType

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Serializable, Comparable<GenericResourcePlugin.FieldType>
  Enclosing class:
    GenericResourcePlugin

      public static enum GenericResourcePlugin.FieldType
      extends Enum<GenericResourcePlugin.FieldType>
      implements Serializable, com.google.gwt.user.client.rpc.IsSerializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `number`
    `string`
    `XML`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericResourcePlugin.FieldType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GenericResourcePlugin.FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### string

          public static final GenericResourcePlugin.FieldType string

    - #### number

          public static final GenericResourcePlugin.FieldType number

    - #### XML

          public static final GenericResourcePlugin.FieldType XML

  - ### Method Detail

    - #### values

          public static GenericResourcePlugin.FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GenericResourcePlugin.FieldType c : GenericResourcePlugin.FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GenericResourcePlugin.FieldType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All Rights Reserved.